-------------------------------------------
--- Author: Ketho (EU-Boulderfist)		---
--- License: Public Domain				---
--- Created: 2012.10.28					---
--- Version: 0.1 [2012.10.28]			---
-------------------------------------------
--- Curse			http://www.curse.com/addons/wow/scrollingpetbattletext
--- WoWInterface	TBA

local NAME = ...
local VERSION = 0.1

local events = {
	CHAT_MSG_PET_BATTLE_INFO = {r = 0.88, g = 0.87, b = 0.36},
	CHAT_MSG_PET_BATTLE_COMBAT_LOG = {r = 0.91, g = 0.87, b = 0.67},
}

local f = CreateFrame("Frame")

function f:OnEvent(event, text)
	local color = events[event]
	self:Pour(text, color.r, color.g, color.b)
end

for k in pairs(events) do
	f:RegisterEvent(k)
end

f:SetScript("OnEvent", f.OnEvent)

	------------
	--- Font ---
	------------

-- locale specifc font
local font, LSM

if LibStub then
	local LSM = LibStub("LibSharedMedia-3.0", true)

	if LSM then
		local a = LSM.MediaType.FONT
		font = LSM:HashTable(a)[LSM:GetDefault(a)]
	end
end

	------------
	--- Sink ---
	------------

-- decided not to embed LibSink (MSBT/SCT/Parrot) and not to add any Ace3 options
-- because this is supposed to be a lightweight version of ScrollingChatText

-- MSBT sets SHOW_COMBAT_TEXT to "0"
if select(4, GetAddOnInfo("MikScrollingBattleText")) then
	f.Pour = function(self, text, r, g, b)
		-- DISPLAYTYPE_INCOMING, DISPLAYTYPE_OUTGOING, DISPLAYTYPE_NOTIFICATION, DISPLAYTYPE_STATIC
		MikSBT.DisplayMessage(text, MikSBT.DISPLAYTYPE_NOTIFICATION, nil, r*255, g*255, b*255, nil, font)
	end
else
	f.Pour = function(self, text, r, g, b)
		CombatText_AddMessage(text, COMBAT_TEXT_SCROLL_FUNCTION, r, g, b)
	end
end
